Bug 53793 - Change webapp links in Manager to point to /appname/ instead of /appname
Change webapp links in Manager to point to /appname/ instead of /appname
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Manager
7.0.29
PC Windows XP
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-08-28 21:50 UTC by Konstantin Kolinko
Modified: 2012-10-04 16:31 UTC (History)
0 users



Attachments
2012-08-29_tc6_53793.patch (673 bytes, patch)
2012-08-28 22:41 UTC, Konstantin Kolinko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kolinko 2012-08-28 21:50:21 UTC
The first column of the table that lists Web Applications in Tomcat Manager webapp contains links to those applications, e.g.

  <a href="/examples">/examples</a>

When the link is clicked and browser navigates to "/examples", it results in 302 redirect to "/examples/".

It would be better to change that link to point directly to "/examples/".

  <a href="/examples/">/examples</a>

I am changing the link address only, but not the text on it. That is because the "Path" of the web application displayed in that column (and used in Manager commands elsewhere) does not have the additional '/'.
Comment 1 Konstantin Kolinko 2012-08-28 22:20:59 UTC
Implemented in 7.0 with r1378367 and will be in 7.0.30 onwards.
Comment 2 Konstantin Kolinko 2012-08-28 22:41:35 UTC
Created attachment 29296 [details]
2012-08-29_tc6_53793.patch

Patch for Tomcat 6
Comment 3 Mark Thomas 2012-10-04 16:31:25 UTC
Fixed in 6.0.x and will be included in 6.0.36 onwards.